%define	upstream_name    Digest-HMAC
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Keyed-Hashing for Message Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(Digest::SHA) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl-Digest-SHA1
Provides:   perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Digest


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.30.0-9pclos2017
- rebuild against updates

